package com.xisc.pm.domain.repository;

import com.xisc.pm.api.dto.export.PmSgDetermineDTO;
import org.hzero.mybatis.base.BaseRepository;
import com.xisc.pm.domain.entity.PmSgDetermine;

import java.util.List;

/**
 * 钢种改判表(PmSgDetermine)资源库
 *
 * @author BKGY
 * @since 2025-01-17 14:25:15
 */
public interface PmSgDetermineRepository extends BaseRepository<PmSgDetermine> {
    /**
     * 查询
     *
     * @param pmSgDetermine 查询条件
     * @return 返回值
     */
    List<PmSgDetermine> selectList(PmSgDetermine pmSgDetermine);

    /**
     * 根据主键查询（可关联表）
     *
     * @param id 主键
     * @return 返回值
     */
    PmSgDetermine selectByPrimary(Long id);

    List<String> checkList(List<String> uniqueIncomingCombinationList);

    List<PmSgDetermineDTO> exportList(PmSgDetermine pmSgDetermine);
}
